Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Credit Entitlement ID

Query Parameters

locale
string

Shows the translated name, description and unit of the catalog entities in this locale. The value must be a code from GET /locales, for example fr. A field with no translation, an unknown code, or no code shows the base text.

Do not send a text from a localized response back in a create or update request. The base text then changes to the translated text.

Response

Credit entitlement details

business_id
string
required
created_at
string<date-time>
required
id
string
required
name
string
required
overage_behavior
enum<string>
required

Controls how overage is handled at billing cycle end.

Available options:
forgive_at_reset,
invoice_at_billing,
carry_deficit,
carry_deficit_auto_repay
overage_enabled
boolean
required
precision
integer<int32>
required
rollover_enabled
boolean
required
unit
string
required
updated_at
string<date-time>
required
currency
null | enum<string>
Available options:
AED,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BWP,
BYN,
BZD,
CAD,
CHF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHP,
SLE,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SZL,
THB,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW
description
string | null
expires_after_days
integer<int32> | null
max_rollover_count
integer<int32> | null
overage_limit
integer<int64> | null
price_per_unit
string | null

Price per credit unit

rollover_percentage
integer<int32> | null
rollover_timeframe_count
integer<int32> | null
rollover_timeframe_interval
null | enum<string>

Unit of a duration count (e.g. license-key validity period).

Available options:
Day,
Week,
Month,
Year
Last modified on March 25, 2026